#include <iocslib.h>

void pal256set()
/* ２５６色パレット設定 */
{
unsigned int r,g,b;
#define RMAX 31
#define GMAX 31
#define BMAX 31
#define PALRGB(R,G,B) ((((G)*GMAX/7)&0x1F)<<11|(((R)*RMAX/7)&0x1F)<<6|(((B)*BMAX/3)&0x1F)<<1)
	for (g=0;g<8;g++) {
		for (r=0;r<8;r++) {
			for (b=0;b<4;b++) GPALET((g<<5|r<<2|b),PALRGB(r,g,b));
		}
	}
}
